---
name: Bug report
about: Create a report to help improve ng2-dragula
---

<!-- Note: Please fill out the below. IF YOU DO NOT, YOUR ISSUE WILL BE CLOSED AUTOMATICALLY. -->

**REQUIRED: Before filing a bug report**

Change each `[ ]` to `[x]` when you have done it.

- [ ] My issue title starts with `[bug report]`
- [ ] I have read the [README](https://github.com/valor-software/ng2-dragula), especially the ['classic blunders' section](https://github.com/valor-software/ng2-dragula#classic-blunders), and the [dragula docs](https://github.com/bevacqua/dragula).
- [ ] I have searched through the [`ng2-dragula` issues](https://github.com/valor-software/ng2-dragula/issues) for related problems, including closed issues.
- [ ] I have browsed through the [issues labeled "future reference"](https://github.com/valor-software/ng2-dragula/issues?utf8=%E2%9C%93&q=is%3Aissue+label%3A%22future+reference%22) for problems that have been solved before or have a known workaround.
- [ ] I am using the latest version of `ng2-dragula`.

**Describe the bug (required)**

A clear and concise description of what the bug is. What did you do, and what
did you expected to happen? What happened instead?

**To Reproduce (required)**

Steps to reproduce the behavior:

1. Go to '...'
2. Click on '....'
3. Scroll down to '....'
4. See error

If your issue appears in a larger codebase and it you can't pin down why it is
happening, please

- Fork this [StackBlitz template][stackblitz]
- Update it to the latest `ng2-dragula`
- Modify it, and reproduce the issue
- Add a link to it here.

[stackblitz]: https://stackblitz.com/edit/ng2-dragula-base?file=src/app/app.component.html

**Screenshots (optional)**

If applicable, add screenshots to help explain your problem.

**Versions (required)**

Please state which versions of the following packages you have installed:

 - `@angular/core`: [e.g. 6.0.4]
 - `ng2-dragula`: [e.g. 2.0.0]

**Browsers affected (optional)**

Is this a bug in a particular browser? If so, it's unlikely that it's a problem with `ng2-dragula`. Instead, it is probably a bug in [`dragula`](https://github.com/bevacqua/dragula/issues).

**Additional context (optional)**

Add any other context about the problem here.

